SimpleGroovyRootDoc (Groovy 5.1.0)

Package: org.codehaus.groovy.tools.groovydoc

## [Java] Class SimpleGroovyRootDoc

- org.codehaus.groovy.tools.groovydoc.SimpleGroovyRootDoc

- All Implemented Interfaces and Traits:
    GroovyRootDoc

      public class SimpleGroovyRootDoc
      extends SimpleGroovyDoc
      implements GroovyRootDoc

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class SimpleGroovyDoc` | `ANNOTATION_DEF, CLASS_DEF, ENUM_DEF, INTERFACE_DEF, RECORD_DEF, TRAIT_DEF`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `SimpleGroovyRootDoc(String name)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `public GroovyClassDoc` | `classNamed(GroovyClassDoc groovyClassDoc, String name)`
    `` | `public GroovyClassDoc` | `classNamedExact(String name)`
    `` | `public GroovyClassDoc[]` | `classes()`
    `` | `public String` | `description()`
    `` | `public Map<String, GroovyClassDoc>` | `getResolvedClasses()`
    `` | `public Map<String, GroovyClassDoc>` | `getVisibleClasses(List importedClassesAndPackages)`
    `` | `public String[]` | `options()`
    `` | `public GroovyPackageDoc` | `packageNamed(String packageName)`
    `` | `public void` | `printError(String arg0)`
    `` | `public void` | `printNotice(String arg0)`
    `` | `public void` | `printWarning(String arg0)`
    `` | `public void` | `put(String packageName, GroovyPackageDoc packageDoc)`
    `` | `public void` | `putAllClasses(Map<String, GroovyClassDoc> classes)`
    `` | `public void` | `resolve()`
    `` | `public void` | `setDescription(String description)`
    `` | `public GroovyClassDoc[]` | `specifiedClasses()`
    `` | `public GroovyPackageDoc[]` | `specifiedPackages()`
    `` | `public String` | `summary()`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class SimpleGroovyDoc` | `calculateFirstSentence, commentText, compareTo, firstSentenceCommentText, getRawCommentText, getTypeDescription, getTypeSourceDescription, isAnnotationType, isAnnotationTypeElement, isClass, isConstructor, isDeprecated, isEnum, isEnumConstant, isError, isException, isField, isIncluded, isInterface, isMethod, isOrdinaryClass, isRecord, isScript, isTrait, name, setCommentText, setDeprecated, setFirstSentenceCommentText, setRawCommentText, setScript, setTokenType, tags, toString, tokenType`

- - ### Constructor Detail

    - #### public SimpleGroovyRootDoc(String name)

  - ### Method Detail

    - #### @Override
      public GroovyClassDoc classNamed(GroovyClassDoc groovyClassDoc, String name)

    - #### public GroovyClassDoc classNamedExact(String name)

    - #### @Override
      public GroovyClassDoc[] classes()

    - #### public String description()

    - #### @Override
      public Map<String, GroovyClassDoc> getResolvedClasses()

    - #### @Override
      public Map<String, GroovyClassDoc> getVisibleClasses(List importedClassesAndPackages)

    - #### @Override
      public String[] options()

    - #### @Override
      public GroovyPackageDoc packageNamed(String packageName)

    - #### @Override
      public void printError(String arg0)

    - #### @Override
      public void printNotice(String arg0)

    - #### @Override
      public void printWarning(String arg0)

    - #### public void put(String packageName, GroovyPackageDoc packageDoc)

    - #### public void putAllClasses(Map<String, GroovyClassDoc> classes)

    - #### public void resolve()

    - #### public void setDescription(String description)

    - #### @Override
      public GroovyClassDoc[] specifiedClasses()

    - #### @Override
      public GroovyPackageDoc[] specifiedPackages()

    - #### public String summary()